MS15-044: Vulnerabilities in Microsoft Font Drivers Could Allow Remote Code Execution (3057110)

High Nessus Plugin ID 83440

Synopsis

The remote Windows host is affected by multiple vulnerabilities.

Description

The remote Windows host is affected by multiple vulnerabilities :

- An information disclosure vulnerability exists due to improper handling of OpenType fonts by the Windows DirectWrite library. A remote attacker can exploit this vulnerability by convincing a user to open a file or visit a website containing a specially crafted OpenType font, resulting in the disclosure of sensitive information. (CVE-2015-1670)

- A remote code execution vulnerability exists due to improper handling of TrueType font files by the Windows DirectWrite library. A remote attacker can exploit this vulnerability by convincing a user to open a specially crafted document or visit a website containing a specially crafted TrueType font file, resulting in execution of arbitrary code in the context of the current user. (CVE-2015-1671)

Solution

Microsoft has released a set of patches for Windows 2003, Vista, 2008, 7, 2008 R2, 8, 2012, 8.1, and 2012 R2. Additionally, Microsoft has released a set of patches for Office 2007, Office 2010, Live Meeting 2007 Console, Lync 2010, Lync 2010 Attendee, Lync 2013, Lync Basic 2013; and .NET Framework 3.0, 3.5, 3.5.1, 4, 4.5, 4.5.1, and 4.5.2.

See Also

https://docs.microsoft.com/en-us/security-updates/SecurityBulletins/2015/ms15-044

Plugin Details

Severity: High

ID: 83440

File Name: smb_nt_ms15-044.nasl

Version: 1.17

Type: local

Agent: windows

Published: 2015/05/13

Updated: 2018/11/15

Dependencies: 27524, 13855, 51351, 42399, 68879, 57033, 84669

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:.net_framework, cpe:/a:microsoft:live_meeting_console, cpe:/a:microsoft:lync, cpe:/a:microsoft:lync_basic, cpe:/a:microsoft:office, cpe:/a:microsoft:silverlight, cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/05/12

Vulnerability Publication Date: 2015/05/12

Reference Information

CVE: CVE-2015-1670, CVE-2015-1671

BID: 74485, 74490